Author Topic: AbanteCart core v.1.2.1 mysqli_select_db() expect  (Read 401 times)

Offline novatex

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
AbanteCart core v.1.2.1 mysqli_select_db() expect
« on: August 14, 2019, 03:20:48 AM »
Hi

We have moved our cart to another server (USING CPANEL  FULL BACKUP AND RESTORE FUNCTION)

We are getting

There has been a critical error processing your request
Please check AbanteCart and webserver error logs for more details. You can check error log in the control panel if it is functional. Otherwise, refer to error log located on your web server

ERROR LOG in system/logs has the following

2019-08-14 7:13:16 - warning:  AbanteCart core v.1.2.1 mysqli_select_db() expects parameter 1 to be mysqli, string given in <b>/home/robitiki/public_html/core/database/mysql.php</b> on line <b>51</b>
2019-08-14 7:13:16 - database error:  AbanteCart core v.1.2.1 Error: Could not connect to database robotaki_aban270 in <b>/home/robitiki/public_html/core/database/mysql.php</b> on line <b>52</b>


We would appreciate if you help!

Thank you

George

Offline dvagner

  • Newbie
  • *
  • Posts: 19
  • Karma: +3/-0
    • View Profile
Re: AbanteCart core v.1.2.1 mysqli_select_db() expect
« Reply #1 on: August 14, 2019, 03:26:17 AM »
Check Database Connection settings

Offline abolabo

  • core-developer
  • Administrator
  • Hero Member
  • *****
  • Posts: 1783
  • Karma: +248/-11
  • web for all, all for web!
    • View Profile
    • AbanteCart
Re: AbanteCart core v.1.2.1 mysqli_select_db() expect
« Reply #2 on: August 14, 2019, 03:28:19 AM »
Please check if mysqli php-extension is enabled. You can find it inside Cpanel. See php-modules.
“No one is useless in this world who lightens the burdens of another.”
― Charles Dickens

Offline novatex

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
Re: AbanteCart core v.1.2.1 mysqli_select_db() expect
« Reply #3 on: August 15, 2019, 03:35:50 AM »
Hi

Thank you for your reply

- Connection parameters are fine
- mysqli is also enabled (see capture from php.info)


Offline novatex

  • Newbie
  • *
  • Posts: 4
  • Karma: +0/-0
    • View Profile
Re: AbanteCart core v.1.2.1 mysqli_select_db() expect
« Reply #4 on: August 26, 2019, 05:56:41 AM »
ANy other ideas why we are getting the error?

help!! :)

 

Powered by SMFPacks Social Login Mod